Chatspark
K

API Reference

v1
K

Message Feedback

Submit or remove feedback (rating) for an AI message. Use positive, negative, or null to clear the rating. Requires Plus plan or higher.

POST

/api/v1/agents/{id}/conversations/{conversationId}/messages/{messageId}/feedback

Plus+

Parameters

NameTypeRequiredDescription
idstringRequired

Agent ID (Path)

conversationIdstringRequired

Conversation ID (Path)

messageIdstringRequired

Message ID (Path)

ratingstring | nullRequired

positive, negative, or null

Response Schema

json

{
  "messageId": 123,
  "rating": "positive" | "negative" | null
}

Code Examples

curl -X POST "https://chatspark.io/api/v1/agents/ag_123/conversations/conv_abc/messages/456/feedback" \
  -H "Authorization: Bearer cs_live_..." \
  -H "Content-Type: application/json" \
  -d '{"rating":"positive"}'

Previous

Delete Source

Next

Overview